.global-header {
  background-color: $header-bg;
  border-bottom: none;
  box-shadow: none;

  .nav-links .secondary .user-image-frame {
    // border-radius: 50%;
    border: none;
  }

  .header-logo .course-header {
    color: $font-color-nav;
  }
}

.main-container h1 {
  color: $font-color-h1;
  font-size: 50px;
  font-weight: 600;
}

.home > header {
  background-color: transparent;
  box-shadow: none;

  .outer-wrapper {
    animation: none;
  }

  .title {
    background: transparent;
    box-shadow: none;
    transition: none;
    width: 100%;
    margin-left: unset;

    .heading-group {
      transition: none;
      text-align: center;
      h1 {
        text-align: center;
        text-shadow: none;
        color: $font-color-h1;
        font-size: 60px;
        font-weight: 600;
      }
    }
  }
}

.global-header {
  background: $header-bg;
  border-bottom-color: transparent;
  box-shadow: none;
  @include media-breakpoint-up(lg) {
  }
  .header-logo {
    a {
      .logo {
      }

      @include media-breakpoint-down(md) {
        float: none;
        margin: 0;
        .logo {
          margin: 0 0 0 20px;
          float: none;
        }
      }
    }

    .course-header {
      .course-name {
      }

      // Hide the course header for smaller screen sizes
      @include media-breakpoint-up(lg) {
      }
    }
  }

  .edx-cookie-banner-wrapper {
    .edx-cookie-banner {
    }
  }

  @include media-breakpoint-up(lg) {
    .nav-links {
      .nav-item {
        a {
        }
      }

      .main {
        .nav-item {
        }

        .nav-tab {

          a {
            color: $font-color-nav;
            
            
            &.active,
            &:hover {
              border-bottom-color: $font-color-nav-hover;
            }

            &:hover {
            }
          }
        }
      }

      .secondary {
        .nav-item {

          &.nav-item-dropdown {
            
          }

          a {
            color: $font-color-nav;
            &:hover {
              border-color: transparent;
              color: $font-color-nav-hover;
            }
          }
        }

        .btn {
        }

        a.sign-in-btn,
        .nav-item a.shopping-cart {
          background-color: $btn-default-bg;
          border-color: $btn-default-bg;
          border-radius: 20.5px;
          color: $font-color;
          &:hover {
            background-color: $btn-primary-bg;
            color: $btn-primary-color;
            border-color: $btn-primary-border-color;
          }
        }

        a.register-btn {
          background: transparent;
          border: none;
          &:hover {
            background: transparent;
            color: $font-color-nav-hover;
          }
        }

        .user-image-frame {
        }

        .toggle-user-dropdown {
          color: $font-color-nav;
        }

        .dropdown-user-menu {
          background-color: $header-bg;
          border-color: $body-border-color;

          .dropdown-item {
            &:hover {
              color: $font-color-nav-hover;
              background-color: $header-bg;
            }

            &:not(:last-child) {
            }

            a {
              &:focus {
              }
            }
          }
        }
      }
    }

    .hamburger-menu {
    }
  }

  @include media-breakpoint-down(md) {
    
    .header-logo {
      margin-left: 0;
    }
    .main-header {
      display: flex;
      flex-direction: row;
      justify-content: flex-start;
    }

    .hamburger-menu {
      top: 12px;
      right: 20px;
      left: unset;
      .line {
        background: $font-color-nav;
        &:nth-child(1) {
        }

        &:nth-child(2),
        &:nth-child(3) {
        }

        &:nth-child(4) {
        }
      }

      &.open .line {
        
        &:nth-child(1) {
        }

        &:nth-child(2) {
        }

        &:nth-child(3) {
        }

        &:nth-child(4) {
        }
      }
    }
  }

  .hidden {
  }

  @media print {
  }
}

.mobile-menu {
  border-top: none;
  @include media-breakpoint-up(lg) {
  }

  @include media-breakpoint-down(md) {

    background-color: $header-bg;
    color: $font-color-nav;
    height: calc(100vh - 25px);
    // Override standard styling for the mobile menu links
    .mobile-nav-link {
      a {
        background: transparent;
        border-bottom: none;
        font-size: 2.5rem;
        text-align: center;
        color: $font-color-nav;
        
        
        &:hover,
        &:focus {
          background: transparent;
          color: $font-color-nav-hover;
        }

        &::after {
          content: "";
        }
      }
    }
  }

  &.hidden {
  }
}

.hidden-mobile {
  @include media-breakpoint-down(md) {
    &:not(.mobile-nav-link) {
    }
  }
}

.settings-language-form {
}


.learning-header {
  background-color: $header-bg;
  color: $font-color-nav;

  .course-title {
    color: $font-color-nav;
  }

  .show > .btn-outline-primary.dropdown-toggle {
    background-color: transparent;
  }

  .user-dropdown {

    .fa-user-circle {
      display: block !important;
      color: $font-color-nav-hover;
      margin-right: 0.5rem;
      font-size: 2rem;
    }
    
    .btn {
      border-radius: 0;
      &.btn-outline-primary {

        
        border: none;
        color: $font-color-nav;

        &:not(:disabled):not(.disabled):active {
          background-color: transparent;
        }
        &:hover {
          color: $font-color-nav-hover;
          background-color: transparent;
        }
      }
    }
  }

  .text-gray-700 {
    color: $font-color-nav !important;
    &:hover {
      text-decoration: none;
      color: $font-color-nav-hover !important;
    }
  }
}
